---
title: Getting Started Gets Better With You
description: Transform company culture by transforming a lesser onboarding experience into a great one for future hires.
date: 2017-03-16
tags:
  - Workplace
---

**How was your onboarding experience?** How were your first moments of any development job in recent recollection?

If you recall it being a pleasant experience, then I'm glad for you. Generally, onboarding a new developer involves a process of awkwardly asking people you barely know what feel like stupid questions.

# Getting Started Gets Better With You

Write down your questions no matter how seemingly simple they may be. Then follow up on your notes with the answers.

> * Where is the app's repo?
> * How do I install the app's dependencies?
> * How do I launch the app?
> * Where do I find work to do?

Suddenly you wind up with something akin to an _FAQ_ (Frequently Asked Questions). Passing along these questions and answers to the next new hire can make a dramatic impact on their **first impression** and ability to **ramp up quickly**.

## Making It Real

Asking for forgiveness rather than permission can be daunting when you're new. A safe way to spread and better your notes is sharing them with the next new hire. Be sure to gather any questions they have and improve your notes with each person you work with.

Ideally publishing these notes internally in an internal knowledge base, wiki, or the README.md of the project repo can be a great resource. I encourage
anyone to submit a pull request to clean up the often neglected README's in repositories to answer the typical questions that currently may be answered by repetitive word of mouth.

# See a problem? Be the solution.

Anyone can make a positive impact on company culture by sharing what you've learned with others.

Take notes. Share them. Don't be afraid of taking initiative. Imagine the impact such an effort could've had on your first days and don't let the trend of ignoring onboarding continue.
