---
title: Learning on Rails
description: Reflections on learning Rails.
date: 2018-10-08
tags:
  - Tech
  - Learning
  - Retrospective
---

Learning is an interesting thing. As I grow older I find myself paying far more attention to how I learn. It's a journey that's different for everyone.

These past five years Ember has been my world. Seriously, I just got back from another conference and I'm to speak at a meetup this month on Ember. When I had heard Ember took a _lot_ of inspiration from Ruby on Rails I never paid it much mind. Now I wonder if learning Ember would have been easier after understanding [The Rails Doctrine](https://rubyonrails.org/doctrine/). In it are many familiar topics such as [Convention over Configuration](https://rubyonrails.org/doctrine/#convention-over-configuration), but also a familiar folder structure, CLI tool generators, and smart defaults for things that can be assumed.

Taking the time to learn Rails has better framed my understanding of the Javascript framework I love by backing up the things I've simply memorized with meaningful context. It makes sense that a Controller file in Ember is optional if you don't need to customize anything about it. Of course generators add to your routes config and automatically wire up some new tests as well. It all just clicks together now in my head.

I never felt a need to venture outside of my bubble before. But by intentionally doing so, I realized the bubble only harmed by ability to learn rather than protect me in some way. There's no need to be afraid of learning. You never know just how much it may help you.

Finally, I encourage you to document and share what you learn. I've published [my hello world's in both Ruby and Rails](https://github.com/sharpshark28/hello-ruby) and highly recommend [rubyonrail.org's Getting Started guide](https://guides.rubyonrails.org/getting_started.html#hello-rails-bang) if you'd like to get started with Rails and learn something fun.

