---
title: 'Less Blue Light, Better Sleep'
date: 2017-09-02T00:00:00.000Z
tags:
  - Life
  - Health
  - Workplace
description: >-
  Limiting blue light and increasing sleep quality to live a more productive,
  healthier life.
---
Actively limiting blue light, both artificial and natural, can make you a healthier and happier person. No, really, it can.

![Blurry Blue Light on Face with Light Leaks](/images/uploads/less_blue_light_better_sleep.jpg)

<cite>Photo by [Juil Yoon](https://unsplash.com/photos/anhQGEYbnV4?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText) on [Unsplash](https://unsplash.com/?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)</cite>

Imagine a workday without eye strain or grogginess. Regaining control over your ability to fall asleep comfortably. With some tweaks to daily habits and reducing blue light intake this can be a reality.

## What? Why blue light?

Briefly, the more harmful spectrum of light is within a band of blue light. This narrow band of harmful light contributes the most to eye strain and wakefulness. [Learn More](http://www.allaboutvision.com/cvs/blue-light.htm)

## On Eye Strain

Sitting for eight or more hours staring at a screen isn't what you're paid for - you're paid to produce results. You can only achieve that if you're healthy. Eye strain can lead to headaches and health problems resulting in your eyes degrading slowly over time.

### Get up. Move around.

**Take a break** from the computer screen. Converse with your colleagues. **Avoid eating lunch at your desk**. While we're reducing our blue, let's up our green - **go outside** and see some grass, trees, plants **to feel refreshed and revitalized**. Some time in the sun can help too.

### Filtering Blue Light

Just as there are glasses to protect from the sun, **some glasses filter out blue light**. Over the counter blue light filtering lenses are available or you may _speak with your eye doctor_ on **adding them to your next pair**. I personally use blue light filters in my primary pair of glasses and can happily say there is no color noticeable color distortion to disrupt my design work.

UPDATE: Some applications you already use such as Amazon's Kindle book reading service offers dark or sepia themes for reading with reduced eye strain.

Applications like [F.lux](https://justgetflux.com/) (or [iOS Night Shift](https://support.apple.com/en-us/HT207570), [Android Twilight](https://play.google.com/store/apps/details?id=com.urbandroid.lux), [Linux Redshift](http://jonls.dk/redshift/) and others) allow for removing or reducing _the output_ of blue light from your device. Some of these tools can intelligently fade the amount of blue light based on the time of day or be disabled based on a timer.

## On Sleep

Blue light activates "wake up" signals in our brain (what? this isn't a science blog). **Avoid these wake up signals 30-60 minutes before bed** and you'll not only _fall asleep more easily_, but you'll be _awaken more smoothly_ without that groggy sensation.

If you're unable to get 30-60 minutes away from a screen before bed then reconsider your nighttime habits. Worse yet, if you're coding late into the night then immediately attempt going to sleep your mind is at its most active state or you could burn yourself out. Instead, consider shutting off the screen a little early and let your mind problem solve during the downtime and while you're sleeping - you'll likely be more productive.

**Quality of sleep is far more important than the quantity of sleep you receive**. If you're not waking up feeling refreshed then you'll need to reconsider your sleep habits.

- - -

For bonus points, cut out caffeine from your diet some or entirely. Avoid eating just before bed and sleep in a dark room without interruptions whenever possible.

## Summary

To truly live a healthy work life balance we must take care of ourselves physically and mentally. The quality of sleep we receive drastically affects our moods and health in both the short and long term. Better managing the excess of blue light from our modern world into our lives can result in better sleep and longer lasting good eyesight with fewer health problems.

- - -

_Enjoy this article? I've also written about {% post_link polyphasic-sleep-and-passion %}_.
