---
title: Performance Reviews - You and Your Peers
description: ...shouldn't feel daunting or boring. They're an opportunity to acknowledge the hard work of your peers.
date: 2017-06-01
tags:
  - Workplace
---

You possess something invaluable. Management relies on you to give honest feedback of your coworkers when its time for peer performance reviews.

_Perhaps writing a performance review feels boring or mandatory._ An empty, white, often-too-small text box with the ask of summarizing a coworker's qualities as an employee can be daunting. Never underestimate its importance, however, just as we see importance in reviewing a peer's code before its added to the project we consider our own, we should equally consider our peers themselves at the company we associate with.

## Provide Feedback Often - Not Just On Judgment Day 🚫

Imagine you're in a college class. You feel you're doing well. You take your final. Suddenly you're given a failing grade for the course.

Being given poor marks when it's too late isn't fair and doesn't support a healthy culture. **Give feedback regularly throughout the year** to _avoid surprise criticism_ and _give time to improve_ and fix any critiques you may have.

Write any critique given as with an actionable solution. Instead of "they made me miss the deadline" perhaps "if we communicate better we should be able to make the next deadline as a team".

## Questions To Reflect Upon 💭

Below are the questions I consider when reflecting upon my experiences and understanding of a colleague I'm trying to qualify.

### Has This Person Ever Made Your Day Easier? 👍

* "Colleague pair programmed with me to solve a difficult problem while teaching me how to debug similar problems in the future."
* "Colleague wrote a well documented component that solved my needs and saved me many hours of work."

Acknowledge when a coworker has saved you time, stress, or helped you learn a new skill. These are often selfless offerings from people just looking to help their fellow workers and make the company a better place to work.

Conversely, if an individual has made more days difficult than they have made easier that is an indicator of a problem worth speaking up about.

### Has This Person Helped You Grow? 🌱

* "Colleague made me rethink how I approach testing my code."
* "Colleague provided a great example of how to reach a work-life balance."

Positive influences, critical thinkers, and industry leaders often surround us at work. It's easy to presume these are already known qualities to everyone. It's important to be explicit and state what may seem obvious to us, but may not be to others such as management.

If you've learned from those around you it's only fair to acknowledge the source of the growth for the teachers to be rewarded. This not only could lead to their promotion, but also to a positive feedback loop of them desiring to continue to help others.

### Has This Person Shown Any or All The Skills of a [Senior Engineer or Equivalent](http://www.kitchensoap.com/2012/10/25/on-being-a-senior-engineer/)? 🍷

* "Colleague was very receptive to my code feedback despite it being my first few weeks on the job."
* "Colleague was eager to help me learn an otherwise obscure skill."
* "Colleague showed professionalism in their demeanor by addressing core problems while never making excuses. A real doer, not a complainer"

Potential promotions are a primary goal of peer reviews. [On Being a Senior Engineer](http://www.kitchensoap.com/2012/10/25/on-being-a-senior-engineer/) offers a new perspective on what makes a mature engineer while dismissing false qualities like years of experience.

> * Mature engineers seek out constructive criticism of their designs.
> * Mature engineers understand the non-technical areas of how they are perceived.
> * Mature engineers do not shy away from making estimates, and are always trying to get better at it.
> * Mature engineers have an innate sense of anticipation, even if they don't know they do.
> * Mature engineers understand that not all of their projects are filled with rockstar-on-stage work.
> * Mature engineers lift the skills and expertise of those around them.
> * Mature engineers make their trade-offs explicit when making judgements and decisions.
> * Mature engineers don't practice CYAE ("Cover Your Ass Engineering").
> * Mature engineers are empathetic.
> * Mature engineers are aware of cognitive biases.

Conversely, if an individual meets very few or none of the items on this list it may be an indicator of room for improvement.

### Has This Person Shown Healthy Levels of Involvement or [Desire to Job Craft](https://www.mindtools.com/pages/article/newCDV_36.htm)? 🍻

* "Despite colleague being from team X, they were passionate while collaborating on my project."
* "Project lead improved the designs of their reports to help in understanding the data. Their background in design really shows through their work."

It's all too easy to sit at a desk and trudge through the _minimum amount of work_ assigned to earn a paycheck. It's also _all too common to overwork_ oneself accepting an ever increasing quantity of that same work.

[Job Crafting](https://www.mindtools.com/pages/article/newCDV_36.htm) shows a strive for **work-life balance** through utilizing one's own **unique set of skills**. A colleague who works on a **diverse range of projects** while **collaborating with multiple teams** is a great quality to acknowledge during a peer review. Your acknowledgment will help encourage management to consider what the individual is already doing in a more official capacity to assist in further developing their career.

## Start Writing

Extracting answers to these questions into their **qualities** is the last step in writing a quality peer review. As with any professional writing, be **concise**. Be **fair**. _Write about others as you wish they'd write about you._
